Directories.DataDirectory (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class Directories.DataDirectory

- java.lang.Object
- - org.apache.cassandra.db.Directories.DataDirectory

- All Implemented Interfaces:
    java.lang.Comparable<Directories.DataDirectory>
  Enclosing class:
    Directories

      public static class Directories.DataDirectory
      extends java.lang.Object
      implements java.lang.Comparable<Directories.DataDirectory>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.concurrent.atomic.AtomicInteger` | `currentTasks`
    `java.util.concurrent.atomic.AtomicLong` | `estimatedWorkingSize`
    `java.io.File` | `location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Directories.DataDirectory(java.io.File location)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Directories.DataDirectory o)`
    `long` | `getEstimatedAvailableSpace()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### location

          public final java.io.File location

    - #### currentTasks

          public final java.util.concurrent.atomic.AtomicInteger currentTasks

    - #### estimatedWorkingSize

          public final java.util.concurrent.atomic.AtomicLong estimatedWorkingSize

  - ### Constructor Detail

    - #### Directories.DataDirectory

          public Directories.DataDirectory(java.io.File location)

  - ### Method Detail

    - #### getEstimatedAvailableSpace

          public long getEstimatedAvailableSpace()

      Returns:
        estimated available disk space for bounded directory, excluding the expected size written by tasks in the queue.

    - #### compareTo

          public int compareTo(Directories.DataDirectory o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Directories.DataDirectory>`

Copyright © 2014 The Apache Software Foundation